com.google.gwt.resources.converter

## Class SimpleValue

- java.lang.Object
- - com.google.gwt.resources.css.ast.CssProperty.Value
  - - com.google.gwt.resources.converter.SimpleValue

    public class SimpleValue
    extends com.google.gwt.resources.css.ast.CssProperty.Value

A simple property value class.

### Constructor Summary

Constructors
Constructor and Description
`SimpleValue(java.lang.String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getExpression()` Generate a Java expression whose execution results in the value.
`java.lang.String` `toCss()` Generate a CSS expression that represents the Value.

### Methods inherited from class com.google.gwt.resources.css.ast.CssProperty.Value

`isDotPathValue, isExpressionValue, isFunctionValue, isIdentValue, isListValue, isNumberValue, isSpaceRequired, isStatic, isStringValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleValue

    public SimpleValue(java.lang.String value)

### Method Detail

#### toCss

    public java.lang.String toCss()

Description copied from class: `com.google.gwt.resources.css.ast.CssProperty.Value`
Generate a CSS expression that represents the Value.

Specified by:
  `toCss` in class `com.google.gwt.resources.css.ast.CssProperty.Value`

#### getExpression

    public java.lang.String getExpression()

Description copied from class: `com.google.gwt.resources.css.ast.CssProperty.Value`
Generate a Java expression whose execution results in the value.

Specified by:
  `getExpression` in class `com.google.gwt.resources.css.ast.CssProperty.Value`